# Makefile.in generated by automake 1.16.1 from Makefile.am.
# @configure_input@

# Copyright (C) 1994-2018 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@

#-*-Mode:make;coding:utf-8;tab-width:4;c-basic-offset:4-*-
# ex: set ft=make fenc=utf-8 sts=4 ts=4 sw=4 noet nomod:
VPATH = @srcdir@
am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkglibexecdir = $(libexecdir)/@PACKAGE@
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@
target_triplet = @target@
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/ax_backtrace.m4 \
	$(top_srcdir)/m4/ax_boost_base.m4 \
	$(top_srcdir)/m4/ax_boost_check_header.m4 \
	$(top_srcdir)/m4/ax_boost_system.m4 \
	$(top_srcdir)/m4/ax_boost_thread.m4 \
	$(top_srcdir)/m4/ax_boost_version.m4 \
	$(top_srcdir)/m4/ax_cabal_version.m4 \
	$(top_srcdir)/m4/ax_check_class.m4 \
	$(top_srcdir)/m4/ax_check_header_macro.m4 \
	$(top_srcdir)/m4/ax_check_private_header.m4 \
	$(top_srcdir)/m4/ax_check_private_lib.m4 \
	$(top_srcdir)/m4/ax_check_rqrd_class.m4 \
	$(top_srcdir)/m4/ax_clock_gettime.m4 \
	$(top_srcdir)/m4/ax_compare_version.m4 \
	$(top_srcdir)/m4/ax_compiler_vendor.m4 \
	$(top_srcdir)/m4/ax_compiler_version.m4 \
	$(top_srcdir)/m4/ax_cxx_check_header.m4 \
	$(top_srcdir)/m4/ax_cxx_exceptions.m4 \
	$(top_srcdir)/m4/ax_erlang_otp_version.m4 \
	$(top_srcdir)/m4/ax_gmp.m4 \
	$(top_srcdir)/m4/ax_lib_socket_nsl.m4 \
	$(top_srcdir)/m4/ax_prog_go_version.m4 \
	$(top_srcdir)/m4/ax_prog_jar.m4 \
	$(top_srcdir)/m4/ax_prog_java.m4 \
	$(top_srcdir)/m4/ax_prog_java_works.m4 \
	$(top_srcdir)/m4/ax_prog_javac.m4 \
	$(top_srcdir)/m4/ax_prog_javac_works.m4 \
	$(top_srcdir)/m4/ax_prog_python_version.m4 \
	$(top_srcdir)/m4/ax_prog_ruby_version.m4 \
	$(top_srcdir)/m4/ax_pthread.m4 $(top_srcdir)/m4/ax_python_c.m4 \
	$(top_srcdir)/m4/ax_recursive_eval.m4 \
	$(top_srcdir)/m4/ax_syscall_lock.m4 \
	$(top_srcdir)/m4/ax_try_compile_java.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
	$(am__configure_deps) $(am__DIST_COMMON)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES = cloudi_tests.conf cloudi_minimal.conf \
	rebar_src.config rebar_src_test.config reltool.config \
	rel/files/bin_script rel/files/cloudi rel/files/default.args \
	rel/files/erl rel/files/nodetool rel/files/vm.args \
	rel/files/vm.config lib/cloudi_core/src/cloudi_core.app.src \
	lib/cloudi_core/src/cloudi_environment.hrl \
	lib/cloudi_service_api_batch/rebar.config \
	lib/cloudi_service_api_batch/src/cloudi_service_api_batch.app.src \
	lib/cloudi_service_api_requests/src/cloudi_service_api_requests.app.src \
	lib/cloudi_service_cron/src/cloudi_service_cron.app.src \
	lib/cloudi_service_db_mysql/rebar.config \
	lib/cloudi_service_db_mysql/src/cloudi_service_db_mysql.app.src \
	lib/cloudi_service_db_pgsql/rebar.config \
	lib/cloudi_service_db_pgsql/src/cloudi_service_db_pgsql.app.src \
	lib/cloudi_service_filesystem/rebar.config \
	lib/cloudi_service_filesystem/src/cloudi_service_filesystem.app.src \
	lib/cloudi_service_funnel/src/cloudi_service_funnel.app.src \
	lib/cloudi_service_http_client/rebar.config \
	lib/cloudi_service_http_client/src/cloudi_service_http_client.app.src \
	lib/cloudi_service_http_cowboy/src/cloudi_service_http_cowboy.app.src \
	lib/cloudi_service_http_cowboy1/src/cloudi_service_http_cowboy1.app.src \
	lib/cloudi_service_http_elli/src/cloudi_service_http_elli.app.src \
	lib/cloudi_service_http_rest/src/cloudi_service_http_rest.app.src \
	lib/cloudi_service_map_reduce/src/cloudi_service_map_reduce.app.src \
	lib/cloudi_service_monitoring/src/cloudi_service_monitoring.app.src \
	lib/cloudi_service_null/src/cloudi_service_null.app.src \
	lib/cloudi_service_oauth1/rebar.config \
	lib/cloudi_service_oauth1/src/cloudi_service_oauth1.app.src \
	lib/cloudi_service_queue/rebar.config \
	lib/cloudi_service_queue/src/cloudi_service_queue.app.src \
	lib/cloudi_service_quorum/rebar.config \
	lib/cloudi_service_quorum/src/cloudi_service_quorum.app.src \
	lib/cloudi_service_request_rate/src/cloudi_service_request_rate.app.src \
	lib/cloudi_service_router/src/cloudi_service_router.app.src \
	lib/cloudi_service_send/src/cloudi_service_send.app.src \
	lib/cloudi_service_shell/src/cloudi_service_shell.app.src \
	lib/cloudi_service_tcp/src/cloudi_service_tcp.app.src \
	lib/cloudi_service_udp/src/cloudi_service_udp.app.src \
	lib/cloudi_service_validate/rebar.config \
	lib/cloudi_service_validate/src/cloudi_service_validate.app.src \
	lib/syslog_socket/rebar.config
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_@AM_V@)
am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_@AM_V@)
am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_@AM_V@)
am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
am__v_at_0 = @
am__v_at_1 = 
depcomp =
am__maybe_remake_depfiles =
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
	ctags-recursive dvi-recursive html-recursive info-recursive \
	install-data-recursive install-dvi-recursive \
	install-exec-recursive install-html-recursive \
	install-info-recursive install-pdf-recursive \
	install-ps-recursive install-recursive installcheck-recursive \
	installdirs-recursive pdf-recursive ps-recursive \
	tags-recursive uninstall-recursive
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
am__recursive_targets = \
  $(RECURSIVE_TARGETS) \
  $(RECURSIVE_CLEAN_TARGETS) \
  $(am__extra_recursive_targets)
AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
	cscope distdir distdir-am dist dist-all distcheck
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
	$(LISP)config.h.in
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
CSCOPE = cscope
DIST_SUBDIRS = $(SUBDIRS)
am__DIST_COMMON = $(srcdir)/Makefile.in \
	$(srcdir)/cloudi_minimal.conf.in \
	$(srcdir)/cloudi_tests.conf.in $(srcdir)/config.h.in \
	$(srcdir)/rebar_src.config.in \
	$(srcdir)/rebar_src_test.config.in $(srcdir)/reltool.config.in \
	$(top_srcdir)/config/compile $(top_srcdir)/config/config.guess \
	$(top_srcdir)/config/config.sub \
	$(top_srcdir)/config/install-sh $(top_srcdir)/config/ltmain.sh \
	$(top_srcdir)/config/missing \
	$(top_srcdir)/lib/cloudi_core/src/cloudi_core.app.src.in \
	$(top_srcdir)/lib/cloudi_core/src/cloudi_environment.hrl.in \
	$(top_srcdir)/lib/cloudi_service_api_batch/rebar.config.in \
	$(top_srcdir)/lib/cloudi_service_api_batch/src/cloudi_service_api_batch.app.src.in \
	$(top_srcdir)/lib/cloudi_service_api_requests/src/cloudi_service_api_requests.app.src.in \
	$(top_srcdir)/lib/cloudi_service_cron/src/cloudi_service_cron.app.src.in \
	$(top_srcdir)/lib/cloudi_service_db_mysql/rebar.config.in \
	$(top_srcdir)/lib/cloudi_service_db_mysql/src/cloudi_service_db_mysql.app.src.in \
	$(top_srcdir)/lib/cloudi_service_db_pgsql/rebar.config.in \
	$(top_srcdir)/lib/cloudi_service_db_pgsql/src/cloudi_service_db_pgsql.app.src.in \
	$(top_srcdir)/lib/cloudi_service_filesystem/rebar.config.in \
	$(top_srcdir)/lib/cloudi_service_filesystem/src/cloudi_service_filesystem.app.src.in \
	$(top_srcdir)/lib/cloudi_service_funnel/src/cloudi_service_funnel.app.src.in \
	$(top_srcdir)/lib/cloudi_service_http_client/rebar.config.in \
	$(top_srcdir)/lib/cloudi_service_http_client/src/cloudi_service_http_client.app.src.in \
	$(top_srcdir)/lib/cloudi_service_http_cowboy/src/cloudi_service_http_cowboy.app.src.in \
	$(top_srcdir)/lib/cloudi_service_http_cowboy1/src/cloudi_service_http_cowboy1.app.src.in \
	$(top_srcdir)/lib/cloudi_service_http_elli/src/cloudi_service_http_elli.app.src.in \
	$(top_srcdir)/lib/cloudi_service_http_rest/src/cloudi_service_http_rest.app.src.in \
	$(top_srcdir)/lib/cloudi_service_map_reduce/src/cloudi_service_map_reduce.app.src.in \
	$(top_srcdir)/lib/cloudi_service_monitoring/src/cloudi_service_monitoring.app.src.in \
	$(top_srcdir)/lib/cloudi_service_null/src/cloudi_service_null.app.src.in \
	$(top_srcdir)/lib/cloudi_service_oauth1/rebar.config.in \
	$(top_srcdir)/lib/cloudi_service_oauth1/src/cloudi_service_oauth1.app.src.in \
	$(top_srcdir)/lib/cloudi_service_queue/rebar.config.in \
	$(top_srcdir)/lib/cloudi_service_queue/src/cloudi_service_queue.app.src.in \
	$(top_srcdir)/lib/cloudi_service_quorum/rebar.config.in \
	$(top_srcdir)/lib/cloudi_service_quorum/src/cloudi_service_quorum.app.src.in \
	$(top_srcdir)/lib/cloudi_service_request_rate/src/cloudi_service_request_rate.app.src.in \
	$(top_srcdir)/lib/cloudi_service_router/src/cloudi_service_router.app.src.in \
	$(top_srcdir)/lib/cloudi_service_send/src/cloudi_service_send.app.src.in \
	$(top_srcdir)/lib/cloudi_service_shell/src/cloudi_service_shell.app.src.in \
	$(top_srcdir)/lib/cloudi_service_tcp/src/cloudi_service_tcp.app.src.in \
	$(top_srcdir)/lib/cloudi_service_udp/src/cloudi_service_udp.app.src.in \
	$(top_srcdir)/lib/cloudi_service_validate/rebar.config.in \
	$(top_srcdir)/lib/cloudi_service_validate/src/cloudi_service_validate.app.src.in \
	$(top_srcdir)/lib/syslog_socket/rebar.config.in \
	$(top_srcdir)/rel/files/bin_script.in \
	$(top_srcdir)/rel/files/cloudi.in \
	$(top_srcdir)/rel/files/default.args.in \
	$(top_srcdir)/rel/files/erl.in \
	$(top_srcdir)/rel/files/nodetool.in \
	$(top_srcdir)/rel/files/vm.args.in \
	$(top_srcdir)/rel/files/vm.config.in AUTHORS COPYING ChangeLog \
	INSTALL NEWS config/compile config/config.guess \
	config/config.sub config/install-sh config/ltmain.sh \
	config/missing
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  if test -d "$(distdir)"; then \
    find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
      && rm -rf "$(distdir)" \
      || { sleep 5 && rm -rf "$(distdir)"; }; \
  else :; fi
am__post_remove_distdir = $(am__remove_distdir)
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
DIST_ARCHIVES = $(distdir).tar.gz
GZIP_ENV = --best
DIST_TARGETS = dist-gzip
distuninstallcheck_listfiles = find . -type f -print
am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
  | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
distcleancheck_listfiles = find . -type f -print
ACLOCAL = @ACLOCAL@
AMTAR = @AMTAR@
AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
AR = @AR@
ATS2CC = @ATS2CC@
ATS2OPT = @ATS2OPT@
ATS2_CFLAGS = @ATS2_CFLAGS@
ATS2_LDFLAGS = @ATS2_LDFLAGS@
ATS2_LIB = @ATS2_LIB@
AUTOCONF = @AUTOCONF@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
BACKTRACE_CPPFLAGS = @BACKTRACE_CPPFLAGS@
BACKTRACE_LDFLAGS = @BACKTRACE_LDFLAGS@
BACKTRACE_LIB = @BACKTRACE_LIB@
BFD_LDFLAGS = @BFD_LDFLAGS@
BFD_LIB = @BFD_LIB@
BFD_PATH = @BFD_PATH@
BOOST_CPPFLAGS = @BOOST_CPPFLAGS@
BOOST_EXCEPTION_ALL_HPP_CFLAGS = @BOOST_EXCEPTION_ALL_HPP_CFLAGS@
BOOST_EXCEPTION_ALL_HPP_PATH = @BOOST_EXCEPTION_ALL_HPP_PATH@
BOOST_LDFLAGS = @BOOST_LDFLAGS@
BOOST_PREPROCESSOR_HPP_CFLAGS = @BOOST_PREPROCESSOR_HPP_CFLAGS@
BOOST_PREPROCESSOR_HPP_PATH = @BOOST_PREPROCESSOR_HPP_PATH@
BOOST_SYSTEM_LIB = @BOOST_SYSTEM_LIB@
BOOST_THREAD_LIB = @BOOST_THREAD_LIB@
BOOST_UNORDERED_MAP_HPP_CFLAGS = @BOOST_UNORDERED_MAP_HPP_CFLAGS@
BOOST_UNORDERED_MAP_HPP_PATH = @BOOST_UNORDERED_MAP_HPP_PATH@
BUILD_KERNEL_VERSION = @BUILD_KERNEL_VERSION@
BUILD_MACHINE = @BUILD_MACHINE@
BUILD_OPERATING_SYSTEM = @BUILD_OPERATING_SYSTEM@
BUILD_REPOSITORY_VERSION = @BUILD_REPOSITORY_VERSION@
BUILD_TIME = @BUILD_TIME@
CABAL = @CABAL@
CABAL_SANDBOX = @CABAL_SANDBOX@
CABAL_VERSION = @CABAL_VERSION@
CABAL_VERSION_MAJOR = @CABAL_VERSION_MAJOR@
CC = @CC@
CFLAGS = @CFLAGS@
CLOUDI_ARG_NODE_COOKIE = @CLOUDI_ARG_NODE_COOKIE@
CLOUDI_ARG_NODE_NAME = @CLOUDI_ARG_NODE_NAME@
CLOUDI_ARG_NODE_NAME_LONG = @CLOUDI_ARG_NODE_NAME_LONG@
CLOUDI_ARG_NODE_NAME_SHORT = @CLOUDI_ARG_NODE_NAME_SHORT@
CLOUDI_CONF = @CLOUDI_CONF@
CLOUDI_CORE_RELEASE_OPTIONS = @CLOUDI_CORE_RELEASE_OPTIONS@
CLOUDI_CORE_RELEASE_VERSION = @CLOUDI_CORE_RELEASE_VERSION@
CLOUDI_LONG_TEST_TIMEOUT = @CLOUDI_LONG_TEST_TIMEOUT@
CLOUDI_NODE_ARGS = @CLOUDI_NODE_ARGS@
CLOUDI_NODE_NAME = @CLOUDI_NODE_NAME@
CLOUDI_PID_FILE = @CLOUDI_PID_FILE@
CLOUDI_TEST_TIMEOUT = @CLOUDI_TEST_TIMEOUT@
CLOUDI_TEST_VMARGS = @CLOUDI_TEST_VMARGS@
CLOUDI_UMASK = @CLOUDI_UMASK@
CLOUDI_UUID_V1_VARIANT = @CLOUDI_UUID_V1_VARIANT@
CONFIG_TESTS_ATS2_COUNT = @CONFIG_TESTS_ATS2_COUNT@
CONFIG_TESTS_ATS2_HTTP_REQ = @CONFIG_TESTS_ATS2_HTTP_REQ@
CONFIG_TESTS_ATS2_MESSAGING = @CONFIG_TESTS_ATS2_MESSAGING@
CONFIG_TESTS_ATS2_MSG_SIZE = @CONFIG_TESTS_ATS2_MSG_SIZE@
CONFIG_TESTS_ATS2_NULL = @CONFIG_TESTS_ATS2_NULL@
CONFIG_TESTS_GO_COUNT = @CONFIG_TESTS_GO_COUNT@
CONFIG_TESTS_GO_HTTP_REQ = @CONFIG_TESTS_GO_HTTP_REQ@
CONFIG_TESTS_GO_MESSAGING = @CONFIG_TESTS_GO_MESSAGING@
CONFIG_TESTS_GO_MSG_SIZE = @CONFIG_TESTS_GO_MSG_SIZE@
CONFIG_TESTS_GO_NULL = @CONFIG_TESTS_GO_NULL@
CONFIG_TESTS_HASKELL_COUNT = @CONFIG_TESTS_HASKELL_COUNT@
CONFIG_TESTS_HASKELL_HTTP_REQ = @CONFIG_TESTS_HASKELL_HTTP_REQ@
CONFIG_TESTS_HASKELL_MESSAGING = @CONFIG_TESTS_HASKELL_MESSAGING@
CONFIG_TESTS_HASKELL_MSG_SIZE = @CONFIG_TESTS_HASKELL_MSG_SIZE@
CONFIG_TESTS_HASKELL_NULL = @CONFIG_TESTS_HASKELL_NULL@
CONFIG_TESTS_OCAML_COUNT = @CONFIG_TESTS_OCAML_COUNT@
CONFIG_TESTS_OCAML_HTTP_REQ = @CONFIG_TESTS_OCAML_HTTP_REQ@
CONFIG_TESTS_OCAML_MESSAGING = @CONFIG_TESTS_OCAML_MESSAGING@
CONFIG_TESTS_OCAML_MSG_SIZE = @CONFIG_TESTS_OCAML_MSG_SIZE@
CONFIG_TESTS_OCAML_NULL = @CONFIG_TESTS_OCAML_NULL@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CXX = @CXX@
CXXCPP = @CXXCPP@
CXXFLAGS = @CXXFLAGS@
CXX_COMPILER_VENDOR_VERSION = @CXX_COMPILER_VENDOR_VERSION@
CXX_DEPENDENCIES_VERSIONS = @CXX_DEPENDENCIES_VERSIONS@
CYGPATH_W = @CYGPATH_W@
DEFS = @DEFS@
DIALYZER = @DIALYZER@
DLLTOOL = @DLLTOOL@
DL_LDFLAGS = @DL_LDFLAGS@
DL_LIB = @DL_LIB@
DL_PATH = @DL_PATH@
DSYMUTIL = @DSYMUTIL@
DUMPBIN = @DUMPBIN@
DWARF_LDFLAGS = @DWARF_LDFLAGS@
DWARF_LIB = @DWARF_LIB@
DWARF_PATH = @DWARF_PATH@
DW_LDFLAGS = @DW_LDFLAGS@
DW_LIB = @DW_LIB@
DW_PATH = @DW_PATH@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
ELF_LDFLAGS = @ELF_LDFLAGS@
ELF_LIB = @ELF_LIB@
ELF_PATH = @ELF_PATH@
ERL = @ERL@
ERLANG_ERTS_VER = @ERLANG_ERTS_VER@
ERLANG_LIB_DIR = @ERLANG_LIB_DIR@
ERLANG_LIB_DIR_erl_interface = @ERLANG_LIB_DIR_erl_interface@
ERLANG_LIB_DIR_eunit = @ERLANG_LIB_DIR_eunit@
ERLANG_LIB_DIR_snmp = @ERLANG_LIB_DIR_snmp@
ERLANG_LIB_DIR_ssl = @ERLANG_LIB_DIR_ssl@
ERLANG_LIB_VER_erl_interface = @ERLANG_LIB_VER_erl_interface@
ERLANG_LIB_VER_eunit = @ERLANG_LIB_VER_eunit@
ERLANG_LIB_VER_snmp = @ERLANG_LIB_VER_snmp@
ERLANG_LIB_VER_ssl = @ERLANG_LIB_VER_ssl@
ERLANG_OTP_VER = @ERLANG_OTP_VER@
ERLANG_OTP_VER_MAJOR = @ERLANG_OTP_VER_MAJOR@
ERLANG_OTP_VER_MAJOR_MINOR = @ERLANG_OTP_VER_MAJOR_MINOR@
ERLANG_OTP_VER_MINOR = @ERLANG_OTP_VER_MINOR@
ERLANG_OTP_VER_PATCH = @ERLANG_OTP_VER_PATCH@
ERLANG_OTP_VER_RELEASE_CANDIDATE = @ERLANG_OTP_VER_RELEASE_CANDIDATE@
ERLANG_ROOT_DIR = @ERLANG_ROOT_DIR@
ERLC = @ERLC@
ERLCFLAGS = @ERLCFLAGS@
ERLC_OPTS = @ERLC_OPTS@
ERL_ARGS_FILE_PARSE = @ERL_ARGS_FILE_PARSE@
ERL_OPTS = @ERL_OPTS@
ESCRIPT = @ESCRIPT@
EXECINFO_LDFLAGS = @EXECINFO_LDFLAGS@
EXECINFO_LIB = @EXECINFO_LIB@
EXECINFO_PATH = @EXECINFO_PATH@
EXEEXT = @EXEEXT@
FGREP = @FGREP@
GHC = @GHC@
GHC_PKG = @GHC_PKG@
GMP_H_CFLAGS = @GMP_H_CFLAGS@
GMP_H_PATH = @GMP_H_PATH@
GMP_LDFLAGS = @GMP_LDFLAGS@
GMP_LIB = @GMP_LIB@
GMP_PATH = @GMP_PATH@
GO = @GO@
GO_VERSION = @GO_VERSION@
GREP = @GREP@
INSTALL = @INSTALL@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
JAR = @JAR@
JAVA = @JAVA@
JAVAC = @JAVAC@
LD = @LD@
LDFLAGS = @LDFLAGS@
LIBM = @LIBM@
LIBOBJS = @LIBOBJS@
LIBS = @LIBS@
LIBTOOL = @LIBTOOL@
LIPO = @LIPO@
LN_S = @LN_S@
LTLIBOBJS = @LTLIBOBJS@
LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
MAKEINFO = @MAKEINFO@
MANIFEST_TOOL = @MANIFEST_TOOL@
MKDIR_P = @MKDIR_P@
NM = @NM@
NMEDIT = @NMEDIT@
NODE = @NODE@
OBJDUMP = @OBJDUMP@
OBJEXT = @OBJEXT@
OCAMLC = @OCAMLC@
OCAMLDEP = @OCAMLDEP@
OCAMLFLAGS = @OCAMLFLAGS@
OCAMLMKLIB = @OCAMLMKLIB@
OCAMLOPT = @OCAMLOPT@
OTOOL = @OTOOL@
OTOOL64 = @OTOOL64@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_URL = @PACKAGE_URL@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
PATSHOME = @PATSHOME@
PERL = @PERL@
PHP = @PHP@
PTHREAD_CC = @PTHREAD_CC@
PTHREAD_CFLAGS = @PTHREAD_CFLAGS@
PTHREAD_CXX = @PTHREAD_CXX@
PTHREAD_LIBS = @PTHREAD_LIBS@
PYLINT = @PYLINT@
PYTHON = @PYTHON@
PYTHON_CFLAGS = @PYTHON_CFLAGS@
PYTHON_CONFIG = @PYTHON_CONFIG@
PYTHON_LDFLAGS = @PYTHON_LDFLAGS@
PYTHON_VERSION = @PYTHON_VERSION@
RANLIB = @RANLIB@
REBAR = @REBAR@
REBAR_ARGS = @REBAR_ARGS@
RT_LIB = @RT_LIB@
RUBY = @RUBY@
RUBY_VERSION = @RUBY_VERSION@
SECCOMP_LDFLAGS = @SECCOMP_LDFLAGS@
SECCOMP_LIB = @SECCOMP_LIB@
SECCOMP_PATH = @SECCOMP_PATH@
SED = @SED@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
STRIP = @STRIP@
SYSCALL_LOCK_LDFLAGS = @SYSCALL_LOCK_LDFLAGS@
SYSCALL_LOCK_LIB = @SYSCALL_LOCK_LIB@
SYSCALL_LOCK_TYPE = @SYSCALL_LOCK_TYPE@
UNWIND_LDFLAGS = @UNWIND_LDFLAGS@
UNWIND_LIB = @UNWIND_LIB@
UNWIND_PATH = @UNWIND_PATH@
VERSION = @VERSION@
abs_builddir = @abs_builddir@
abs_srcdir = @abs_srcdir@
abs_top_builddir = @abs_top_builddir@
abs_top_srcdir = @abs_top_srcdir@
ac_ct_AR = @ac_ct_AR@
ac_ct_CC = @ac_ct_CC@
ac_ct_CXX = @ac_ct_CXX@
ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
am__leading_dot = @am__leading_dot@
am__tar = @am__tar@
am__untar = @am__untar@
ax_pthread_config = @ax_pthread_config@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
builddir = @builddir@
cloudi_bindir = @cloudi_bindir@
cloudi_confdir = @cloudi_confdir@
cloudi_logdir = @cloudi_logdir@
cloudi_prefix = @cloudi_prefix@
datadir = @datadir@
datarootdir = @datarootdir@
docdir = @docdir@
dvidir = @dvidir@
exec_prefix = @exec_prefix@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
htmldir = @htmldir@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
javadir = @javadir@
libdir = @libdir@
libexecdir = @libexecdir@
localedir = @localedir@
localstatedir = @localstatedir@
mandir = @mandir@
mkdir_p = @mkdir_p@
oldincludedir = @oldincludedir@
pdfdir = @pdfdir@
prefix = @prefix@
program_transform_name = @program_transform_name@
psdir = @psdir@
runstatedir = @runstatedir@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
srcdir = @srcdir@
sysconfdir = @sysconfdir@
target = @target@
target_alias = @target_alias@
target_cpu = @target_cpu@
target_os = @target_os@
target_vendor = @target_vendor@
top_build_prefix = @top_build_prefix@
top_builddir = @top_builddir@
top_srcdir = @top_srcdir@
ACLOCAL_AMFLAGS = -I m4
SUBDIRS = api lib tests service_api
SCOPE_EXTERNAL = cloudi_x_
SCOPE_ARGS = -s $(SCOPE_EXTERNAL) -p cloudi -b _original \
     -c $(top_srcdir)/lib/ \
     -d $(top_srcdir)/lib/cloudi_core/src \
     -d $(top_srcdir)/lib/cloudi_service_api_batch/src \
     -d $(top_srcdir)/lib/cloudi_service_api_requests/src \
     -d $(top_srcdir)/lib/cloudi_service_cron/src \
     -d $(top_srcdir)/lib/cloudi_service_db_mysql/src \
     -d $(top_srcdir)/lib/cloudi_service_db_pgsql/src \
     -d $(top_srcdir)/lib/cloudi_service_filesystem/src \
     -d $(top_srcdir)/lib/cloudi_service_funnel/src \
     -d $(top_srcdir)/lib/cloudi_service_http_client/src \
     -d $(top_srcdir)/lib/cloudi_service_http_cowboy/src \
     -d $(top_srcdir)/lib/cloudi_service_http_cowboy1/src \
     -d $(top_srcdir)/lib/cloudi_service_http_elli/src \
     -d $(top_srcdir)/lib/cloudi_service_http_rest/src \
     -d $(top_srcdir)/lib/cloudi_service_map_reduce/src \
     -d $(top_srcdir)/lib/cloudi_service_monitoring/src \
     -d $(top_srcdir)/lib/cloudi_service_null/src \
     -d $(top_srcdir)/lib/cloudi_service_oauth1/src \
     -d $(top_srcdir)/lib/cloudi_service_queue/src \
     -d $(top_srcdir)/lib/cloudi_service_quorum/src \
     -d $(top_srcdir)/lib/cloudi_service_request_rate/src \
     -d $(top_srcdir)/lib/cloudi_service_router/src \
     -d $(top_srcdir)/lib/cloudi_service_send/src \
     -d $(top_srcdir)/lib/cloudi_service_shell/src \
     -d $(top_srcdir)/lib/cloudi_service_tcp/src \
     -d $(top_srcdir)/lib/cloudi_service_udp/src \
     -d $(top_srcdir)/lib/cloudi_service_validate/src \
     -d $(top_srcdir)/lib/cgroups/src \
     -d $(top_srcdir)/lib/cpg/src \
     -d $(top_srcdir)/lib/cpg/test \
     -d $(top_srcdir)/lib/erlang_term/src \
     -d $(top_srcdir)/lib/key2value/src \
     -d $(top_srcdir)/lib/keys1value/src \
     -d $(top_srcdir)/lib/pqueue/src \
     -d $(top_srcdir)/lib/pqueue/test \
     -d $(top_srcdir)/lib/quickrand/src \
     -d $(top_srcdir)/lib/reltool_util/src \
     -d $(top_srcdir)/lib/supool/src \
     -d $(top_srcdir)/lib/supool/test \
     -d $(top_srcdir)/lib/syslog_socket/src \
     -d $(top_srcdir)/lib/syslog_socket/test \
     -d $(top_srcdir)/lib/trie/src \
     -d $(top_srcdir)/lib/uuid/src \
     -d $(top_srcdir)/lib/varpool/src \
     -d $(top_srcdir)/lib/varpool/test \
     -d $(top_srcdir)/external/cloudi_x_bear/src \
     -d $(top_srcdir)/external/cloudi_x_certifi/src \
     -d $(top_srcdir)/external/cloudi_x_cowboy/src \
     -d $(top_srcdir)/external/cloudi_x_cowboy1/src \
     -d $(top_srcdir)/external/cloudi_x_cowlib/src \
     -d $(top_srcdir)/external/cloudi_x_cowlib1/src \
     -d $(top_srcdir)/external/cloudi_x_elli/src \
     -d $(top_srcdir)/external/cloudi_x_emysql/src \
     -d $(top_srcdir)/external/cloudi_x_epgsql/src \
     -d $(top_srcdir)/external/cloudi_x_exometer/src \
     -d $(top_srcdir)/external/cloudi_x_exometer_core/src \
     -d $(top_srcdir)/external/cloudi_x_exometer_influxdb/src \
     -d $(top_srcdir)/external/cloudi_x_folsom/src \
     -d $(top_srcdir)/external/cloudi_x_hackney/src \
     -d $(top_srcdir)/external/cloudi_x_hut/src \
     -d $(top_srcdir)/external/cloudi_x_idna/src \
     -d $(top_srcdir)/external/cloudi_x_jsx/src \
     -d $(top_srcdir)/external/cloudi_x_metrics/src \
     -d $(top_srcdir)/external/cloudi_x_mimerl/src \
     -d $(top_srcdir)/external/cloudi_x_msgpack/src \
     -d $(top_srcdir)/external/cloudi_x_nodefinder/src \
     -d $(top_srcdir)/external/cloudi_x_parse_trans/src \
     -d $(top_srcdir)/external/cloudi_x_pgsql/src \
     -d $(top_srcdir)/external/cloudi_x_ranch/src \
     -d $(top_srcdir)/external/cloudi_x_ranch1/src \
     -d $(top_srcdir)/external/cloudi_x_setup/src \
     -d $(top_srcdir)/external/cloudi_x_ssl_verify_fun/src \
     -d $(top_srcdir)/external/cloudi_x_unicode_util_compat/src

@PYTHON_SUPPORT_TRUE@PYTHON_TEST_HOOK = api-python-test
@RUBY_SUPPORT_TRUE@RUBY_TEST_HOOK = api-ruby-test
all: config.h
	$(MAKE) $(AM_MAKEFLAGS) all-recursive

.SUFFIXES:
am--refresh: Makefile
	@:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign --ignore-deps'; \
	      $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign --ignore-deps \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign --ignore-deps Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign --ignore-deps Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    echo ' $(SHELL) ./config.status'; \
	    $(SHELL) ./config.status;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__maybe_remake_depfiles)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__maybe_remake_depfiles);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck

$(top_srcdir)/configure:  $(am__configure_deps)
	$(am__cd) $(srcdir) && $(AUTOCONF)
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
$(am__aclocal_m4_deps):

config.h: stamp-h1
	@test -f $@ || rm -f stamp-h1
	@test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1

stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
	@rm -f stamp-h1
	cd $(top_builddir) && $(SHELL) ./config.status config.h
$(srcdir)/config.h.in:  $(am__configure_deps) 
	($(am__cd) $(top_srcdir) && $(AUTOHEADER))
	rm -f stamp-h1
	touch $@

distclean-hdr:
	-rm -f config.h stamp-h1
cloudi_tests.conf: $(top_builddir)/config.status $(srcdir)/cloudi_tests.conf.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
cloudi_minimal.conf: $(top_builddir)/config.status $(srcdir)/cloudi_minimal.conf.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
rebar_src.config: $(top_builddir)/config.status $(srcdir)/rebar_src.config.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
rebar_src_test.config: $(top_builddir)/config.status $(srcdir)/rebar_src_test.config.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
reltool.config: $(top_builddir)/config.status $(srcdir)/reltool.config.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
rel/files/bin_script: $(top_builddir)/config.status $(top_srcdir)/rel/files/bin_script.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
rel/files/cloudi: $(top_builddir)/config.status $(top_srcdir)/rel/files/cloudi.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
rel/files/default.args: $(top_builddir)/config.status $(top_srcdir)/rel/files/default.args.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
rel/files/erl: $(top_builddir)/config.status $(top_srcdir)/rel/files/erl.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
rel/files/nodetool: $(top_builddir)/config.status $(top_srcdir)/rel/files/nodetool.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
rel/files/vm.args: $(top_builddir)/config.status $(top_srcdir)/rel/files/vm.args.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
rel/files/vm.config: $(top_builddir)/config.status $(top_srcdir)/rel/files/vm.config.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
lib/cloudi_core/src/cloudi_core.app.src: $(top_builddir)/config.status $(top_srcdir)/lib/cloudi_core/src/cloudi_core.app.src.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
lib/cloudi_core/src/cloudi_environment.hrl: $(top_builddir)/config.status $(top_srcdir)/lib/cloudi_core/src/cloudi_environment.hrl.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
lib/cloudi_service_api_batch/rebar.config: $(top_builddir)/config.status $(top_srcdir)/lib/cloudi_service_api_batch/rebar.config.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
lib/cloudi_service_api_batch/src/cloudi_service_api_batch.app.src: $(top_builddir)/config.status $(top_srcdir)/lib/cloudi_service_api_batch/src/cloudi_service_api_batch.app.src.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
lib/cloudi_service_api_requests/src/cloudi_service_api_requests.app.src: $(top_builddir)/config.status $(top_srcdir)/lib/cloudi_service_api_requests/src/cloudi_service_api_requests.app.src.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
lib/cloudi_service_cron/src/cloudi_service_cron.app.src: $(top_builddir)/config.status $(top_srcdir)/lib/cloudi_service_cron/src/cloudi_service_cron.app.src.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
lib/cloudi_service_db_mysql/rebar.config: $(top_builddir)/config.status $(top_srcdir)/lib/cloudi_service_db_mysql/rebar.config.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
lib/cloudi_service_db_mysql/src/cloudi_service_db_mysql.app.src: $(top_builddir)/config.status $(top_srcdir)/lib/cloudi_service_db_mysql/src/cloudi_service_db_mysql.app.src.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
lib/cloudi_service_db_pgsql/rebar.config: $(top_builddir)/config.status $(top_srcdir)/lib/cloudi_service_db_pgsql/rebar.config.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
lib/cloudi_service_db_pgsql/src/cloudi_service_db_pgsql.app.src: $(top_builddir)/config.status $(top_srcdir)/lib/cloudi_service_db_pgsql/src/cloudi_service_db_pgsql.app.src.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
lib/cloudi_service_filesystem/rebar.config: $(top_builddir)/config.status $(top_srcdir)/lib/cloudi_service_filesystem/rebar.config.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
lib/cloudi_service_filesystem/src/cloudi_service_filesystem.app.src: $(top_builddir)/config.status $(top_srcdir)/lib/cloudi_service_filesystem/src/cloudi_service_filesystem.app.src.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
lib/cloudi_service_funnel/src/cloudi_service_funnel.app.src: $(top_builddir)/config.status $(top_srcdir)/lib/cloudi_service_funnel/src/cloudi_service_funnel.app.src.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
lib/cloudi_service_http_client/rebar.config: $(top_builddir)/config.status $(top_srcdir)/lib/cloudi_service_http_client/rebar.config.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
lib/cloudi_service_http_client/src/cloudi_service_http_client.app.src: $(top_builddir)/config.status $(top_srcdir)/lib/cloudi_service_http_client/src/cloudi_service_http_client.app.src.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
lib/cloudi_service_http_cowboy/src/cloudi_service_http_cowboy.app.src: $(top_builddir)/config.status $(top_srcdir)/lib/cloudi_service_http_cowboy/src/cloudi_service_http_cowboy.app.src.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
lib/cloudi_service_http_cowboy1/src/cloudi_service_http_cowboy1.app.src: $(top_builddir)/config.status $(top_srcdir)/lib/cloudi_service_http_cowboy1/src/cloudi_service_http_cowboy1.app.src.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
lib/cloudi_service_http_elli/src/cloudi_service_http_elli.app.src: $(top_builddir)/config.status $(top_srcdir)/lib/cloudi_service_http_elli/src/cloudi_service_http_elli.app.src.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
lib/cloudi_service_http_rest/src/cloudi_service_http_rest.app.src: $(top_builddir)/config.status $(top_srcdir)/lib/cloudi_service_http_rest/src/cloudi_service_http_rest.app.src.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
lib/cloudi_service_map_reduce/src/cloudi_service_map_reduce.app.src: $(top_builddir)/config.status $(top_srcdir)/lib/cloudi_service_map_reduce/src/cloudi_service_map_reduce.app.src.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
lib/cloudi_service_monitoring/src/cloudi_service_monitoring.app.src: $(top_builddir)/config.status $(top_srcdir)/lib/cloudi_service_monitoring/src/cloudi_service_monitoring.app.src.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
lib/cloudi_service_null/src/cloudi_service_null.app.src: $(top_builddir)/config.status $(top_srcdir)/lib/cloudi_service_null/src/cloudi_service_null.app.src.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
lib/cloudi_service_oauth1/rebar.config: $(top_builddir)/config.status $(top_srcdir)/lib/cloudi_service_oauth1/rebar.config.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
lib/cloudi_service_oauth1/src/cloudi_service_oauth1.app.src: $(top_builddir)/config.status $(top_srcdir)/lib/cloudi_service_oauth1/src/cloudi_service_oauth1.app.src.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
lib/cloudi_service_queue/rebar.config: $(top_builddir)/config.status $(top_srcdir)/lib/cloudi_service_queue/rebar.config.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
lib/cloudi_service_queue/src/cloudi_service_queue.app.src: $(top_builddir)/config.status $(top_srcdir)/lib/cloudi_service_queue/src/cloudi_service_queue.app.src.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
lib/cloudi_service_quorum/rebar.config: $(top_builddir)/config.status $(top_srcdir)/lib/cloudi_service_quorum/rebar.config.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
lib/cloudi_service_quorum/src/cloudi_service_quorum.app.src: $(top_builddir)/config.status $(top_srcdir)/lib/cloudi_service_quorum/src/cloudi_service_quorum.app.src.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
lib/cloudi_service_request_rate/src/cloudi_service_request_rate.app.src: $(top_builddir)/config.status $(top_srcdir)/lib/cloudi_service_request_rate/src/cloudi_service_request_rate.app.src.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
lib/cloudi_service_router/src/cloudi_service_router.app.src: $(top_builddir)/config.status $(top_srcdir)/lib/cloudi_service_router/src/cloudi_service_router.app.src.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
lib/cloudi_service_send/src/cloudi_service_send.app.src: $(top_builddir)/config.status $(top_srcdir)/lib/cloudi_service_send/src/cloudi_service_send.app.src.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
lib/cloudi_service_shell/src/cloudi_service_shell.app.src: $(top_builddir)/config.status $(top_srcdir)/lib/cloudi_service_shell/src/cloudi_service_shell.app.src.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
lib/cloudi_service_tcp/src/cloudi_service_tcp.app.src: $(top_builddir)/config.status $(top_srcdir)/lib/cloudi_service_tcp/src/cloudi_service_tcp.app.src.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
lib/cloudi_service_udp/src/cloudi_service_udp.app.src: $(top_builddir)/config.status $(top_srcdir)/lib/cloudi_service_udp/src/cloudi_service_udp.app.src.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
lib/cloudi_service_validate/rebar.config: $(top_builddir)/config.status $(top_srcdir)/lib/cloudi_service_validate/rebar.config.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
lib/cloudi_service_validate/src/cloudi_service_validate.app.src: $(top_builddir)/config.status $(top_srcdir)/lib/cloudi_service_validate/src/cloudi_service_validate.app.src.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
lib/syslog_socket/rebar.config: $(top_builddir)/config.status $(top_srcdir)/lib/syslog_socket/rebar.config.in
	cd $(top_builddir) && $(SHELL) ./config.status $@

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool config.lt

# This directory's subdirectories are mostly independent; you can cd
# into them and run 'make' without going through this Makefile.
# To change the values of 'make' variables: instead of editing Makefiles,
# (1) if the variable is set in 'config.status', edit 'config.status'
#     (which will cause the Makefiles to be regenerated when you run 'make');
# (2) otherwise, pass the desired values on the 'make' command line.
$(am__recursive_targets):
	@fail=; \
	if $(am__make_keepgoing); then \
	  failcom='fail=yes'; \
	else \
	  failcom='exit 1'; \
	fi; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

ID: $(am__tagged_files)
	$(am__define_uniq_tagged_files); mkid -fID $$unique
tags: tags-recursive
TAGS: tags

tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
	set x; \
	here=`pwd`; \
	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
	  include_option=--etags-include; \
	  empty_fix=.; \
	else \
	  include_option=--include; \
	  empty_fix=; \
	fi; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test ! -f $$subdir/TAGS || \
	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
	  fi; \
	done; \
	$(am__define_uniq_tagged_files); \
	shift; \
	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  if test $$# -gt 0; then \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      "$$@" $$unique; \
	  else \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      $$unique; \
	  fi; \
	fi
ctags: ctags-recursive

CTAGS: ctags
ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
	$(am__define_uniq_tagged_files); \
	test -z "$(CTAGS_ARGS)$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && $(am__cd) $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) "$$here"
cscope: cscope.files
	test ! -s cscope.files \
	  || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
clean-cscope:
	-rm -f cscope.files
cscope.files: clean-cscope cscopelist
cscopelist: cscopelist-recursive

cscopelist-am: $(am__tagged_files)
	list='$(am__tagged_files)'; \
	case "$(srcdir)" in \
	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
	  *) sdir=$(subdir)/$(srcdir) ;; \
	esac; \
	for i in $$list; do \
	  if test -f "$$i"; then \
	    echo "$(subdir)/$$i"; \
	  else \
	    echo "$$sdir/$$i"; \
	  fi; \
	done >> $(top_builddir)/cscope.files

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
	-rm -f cscope.out cscope.in.out cscope.po.out cscope.files

distdir-am: $(DISTFILES)
	$(am__remove_distdir)
	test -d "$(distdir)" || mkdir "$(distdir)"
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    $(am__make_dryrun) \
	      || test -d "$(distdir)/$$subdir" \
	      || $(MKDIR_P) "$(distdir)/$$subdir" \
	      || exit 1; \
	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
	    $(am__relativize); \
	    new_distdir=$$reldir; \
	    dir1=$$subdir; dir2="$(top_distdir)"; \
	    $(am__relativize); \
	    new_top_distdir=$$reldir; \
	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
	    ($(am__cd) $$subdir && \
	      $(MAKE) $(AM_MAKEFLAGS) \
	        top_distdir="$$new_top_distdir" \
	        distdir="$$new_distdir" \
		am__remove_distdir=: \
		am__skip_length_check=: \
		am__skip_mode_fix=: \
	        distdir) \
	      || exit 1; \
	  fi; \
	done
	-test -n "$(am__skip_mode_fix)" \
	|| find "$(distdir)" -type d ! -perm -755 \
		-exec chmod u+rwx,go+rx {} \; -o \
	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
	  ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
	|| chmod -R a+r "$(distdir)"
dist-gzip: distdir
	tardir=$(distdir) && $(am__tar) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).tar.gz
	$(am__post_remove_distdir)

dist-bzip2: distdir
	tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
	$(am__post_remove_distdir)

dist-lzip: distdir
	tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
	$(am__post_remove_distdir)

dist-xz: distdir
	tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
	$(am__post_remove_distdir)

dist-tarZ: distdir
	@echo WARNING: "Support for distribution archives compressed with" \
		       "legacy program 'compress' is deprecated." >&2
	@echo WARNING: "It will be removed altogether in Automake 2.0" >&2
	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
	$(am__post_remove_distdir)

dist-shar: distdir
	@echo WARNING: "Support for shar distribution archives is" \
	               "deprecated." >&2
	@echo WARNING: "It will be removed altogether in Automake 2.0" >&2
	shar $(distdir) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).shar.gz
	$(am__post_remove_distdir)

dist-zip: distdir
	-rm -f $(distdir).zip
	zip -rq $(distdir).zip $(distdir)
	$(am__post_remove_distdir)

dist dist-all:
	$(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
	$(am__post_remove_distdir)

# This target untars the dist file and tries a VPATH configuration.  Then
# it guarantees that the distribution is self-contained by making another
# tarfile.
distcheck: dist
	case '$(DIST_ARCHIVES)' in \
	*.tar.gz*) \
	  eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).tar.gz | $(am__untar) ;;\
	*.tar.bz2*) \
	  bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
	*.tar.lz*) \
	  lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
	*.tar.xz*) \
	  xz -dc $(distdir).tar.xz | $(am__untar) ;;\
	*.tar.Z*) \
	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
	*.shar.gz*) \
	  eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).shar.gz | unshar ;;\
	*.zip*) \
	  unzip $(distdir).zip ;;\
	esac
	chmod -R a-w $(distdir)
	chmod u+w $(distdir)
	mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
	chmod a-w $(distdir)
	test -d $(distdir)/_build || exit 0; \
	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
	  && am__cwd=`pwd` \
	  && $(am__cd) $(distdir)/_build/sub \
	  && ../../configure \
	    $(AM_DISTCHECK_CONFIGURE_FLAGS) \
	    $(DISTCHECK_CONFIGURE_FLAGS) \
	    --srcdir=../.. --prefix="$$dc_install_base" \
	  && $(MAKE) $(AM_MAKEFLAGS) \
	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
	  && $(MAKE) $(AM_MAKEFLAGS) check \
	  && $(MAKE) $(AM_MAKEFLAGS) install \
	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
	        distuninstallcheck \
	  && chmod -R a-w "$$dc_install_base" \
	  && ({ \
	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
	  && rm -rf "$$dc_destdir" \
	  && $(MAKE) $(AM_MAKEFLAGS) dist \
	  && rm -rf $(DIST_ARCHIVES) \
	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
	  && cd "$$am__cwd" \
	  || exit 1
	$(am__post_remove_distdir)
	@(echo "$(distdir) archives ready for distribution: "; \
	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
	  sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
distuninstallcheck:
	@test -n '$(distuninstallcheck_dir)' || { \
	  echo 'ERROR: trying to run $@ with an empty' \
	       '$$(distuninstallcheck_dir)' >&2; \
	  exit 1; \
	}; \
	$(am__cd) '$(distuninstallcheck_dir)' || { \
	  echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
	  exit 1; \
	}; \
	test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
	   || { echo "ERROR: files left after uninstall:" ; \
	        if test -n "$(DESTDIR)"; then \
	          echo "  (check DESTDIR support)"; \
	        fi ; \
	        $(distuninstallcheck_listfiles) ; \
	        exit 1; } >&2
distcleancheck: distclean
	@if test '$(srcdir)' = . ; then \
	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
	  exit 1 ; \
	fi
	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
	  || { echo "ERROR: files left in build directory after distclean:" ; \
	       $(distcleancheck_listfiles) ; \
	       exit 1; } >&2
check-am: all-am
check: check-recursive
all-am: Makefile config.h all-local
installdirs: installdirs-recursive
installdirs-am:
install: install-recursive
install-exec: install-exec-recursive
install-data: install-data-recursive

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-recursive
install-strip:
	if test -z '$(STRIP)'; then \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	      install; \
	else \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
	fi
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-recursive

clean-am: clean-generic clean-libtool clean-local mostlyclean-am

distclean: distclean-recursive
	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
	-rm -f Makefile
distclean-am: clean-am distclean-generic distclean-hdr \
	distclean-libtool distclean-local distclean-tags

dvi: dvi-recursive

dvi-am:

html: html-recursive

html-am:

info: info-recursive

info-am:

install-data-am:

install-dvi: install-dvi-recursive

install-dvi-am:

install-exec-am:
	@$(NORMAL_INSTALL)
	$(MAKE) $(AM_MAKEFLAGS) install-exec-hook
install-html: install-html-recursive

install-html-am:

install-info: install-info-recursive

install-info-am:

install-man:

install-pdf: install-pdf-recursive

install-pdf-am:

install-ps: install-ps-recursive

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-recursive
	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
	-rm -rf $(top_srcdir)/autom4te.cache
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-recursive

mostlyclean-am: mostlyclean-generic mostlyclean-libtool

pdf: pdf-recursive

pdf-am:

ps: ps-recursive

ps-am:

uninstall-am:

.MAKE: $(am__recursive_targets) all install-am install-exec-am \
	install-strip

.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am all-local \
	am--refresh check check-am clean clean-cscope clean-generic \
	clean-libtool clean-local cscope cscopelist-am ctags ctags-am \
	dist dist-all dist-bzip2 dist-gzip dist-lzip dist-shar \
	dist-tarZ dist-xz dist-zip distcheck distclean \
	distclean-generic distclean-hdr distclean-libtool \
	distclean-local distclean-tags distcleancheck distdir \
	distuninstallcheck dvi dvi-am html html-am info info-am \
	install install-am install-data install-data-am install-dvi \
	install-dvi-am install-exec install-exec-am install-exec-hook \
	install-html install-html-am install-info install-info-am \
	install-man install-pdf install-pdf-am install-ps \
	install-ps-am install-strip installcheck installcheck-am \
	installdirs installdirs-am maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-generic \
	mostlyclean-libtool pdf pdf-am ps ps-am tags tags-am uninstall \
	uninstall-am

.PRECIOUS: Makefile


.PHONY: \
    rebar-directories-compile \
    erlang-applications-scope-add \
    rebar-compile \
    rebar-clean \
    rebar-directories-clean \
    clean-configure \
    rebar-directories-distclean \
    erlang-applications-scope-remove \
    dialyze \
    dialyze-internal \
    dialyzer \
    doc \
    docs \
    xref \
    api-python-test \
    api-ruby-test \
    ct \
    eunit \
    test \
    tests \
    manual-update \
    run

.NOTPARALLEL:

all-local: erlang-applications-scope-add \
           rebar-directories-compile \
           rebar-compile

rebar-directories-compile:
	$(top_srcdir)/rebar_dirs.sh create $(abs_top_srcdir) $(abs_top_builddir)
	(cd $(top_srcdir)/lib/cloudi_core/src && \
        test ! -e cloudi_environment.hrl && \
        $(LN_S) $(abs_top_builddir)/lib/cloudi_core/src/cloudi_environment.hrl || exit 0)
	(cd $(top_srcdir)/lib/cloudi_core/cxx_src && \
        test ! -e cloudi_os_spawn && \
        $(LN_S) $(abs_top_builddir)/lib/cloudi_core/cxx_src/cloudi_os_spawn || exit 0)
	(cd $(top_srcdir)/lib/cloudi_core/cxx_src && \
        test ! -e cloudi_os_command && \
        $(LN_S) $(abs_top_builddir)/lib/cloudi_core/cxx_src/cloudi_os_command || exit 0)

erlang-applications-scope-add: scoped

scoped: $(top_srcdir)/external/README.markdown
	rm -f $@ ; echo > $@
	$(ESCRIPT) $(top_srcdir)/lib/reltool_util/scope $(SCOPE_ARGS) -u
	$(ESCRIPT) $(top_srcdir)/lib/reltool_util/scope $(SCOPE_ARGS)

rebar-compile: erlang-applications-scope-add \
               rebar-directories-compile
	(cd $(top_srcdir) && \
     $(ESCRIPT) $(REBAR) $(REBAR_ARGS) \
                         -C $(abs_top_builddir)/rebar_src.config compile && \
	 $(top_srcdir)/rebar_dirs.sh process $(abs_top_srcdir) $(abs_top_builddir))

clean-local: rebar-clean \
             rebar-directories-clean
	rm -rf $(top_builddir)/rel/cloudi || exit 0

rebar-clean:
	(cd $(top_srcdir) && \
     $(ESCRIPT) $(REBAR) $(REBAR_ARGS) \
                         -C $(abs_top_builddir)/rebar_src.config clean || \
     exit 0)

rebar-directories-clean: rebar-clean
	$(top_srcdir)/rebar_dirs.sh destroy $(abs_top_srcdir) $(abs_top_builddir)
	(test -h $(top_builddir)/lib/cloudi_core/src/cloudi_environment.hrl && \
	 rm $(top_builddir)/lib/cloudi_core/src/cloudi_environment.hrl || \
	 exit 0)
	(test -h $(top_builddir)/lib/cloudi_core/cxx_src/cloudi_os_spawn && \
	 rm $(top_builddir)/lib/cloudi_core/cxx_src/cloudi_os_spawn || \
	 exit 0)
	(test -h $(top_builddir)/lib/cloudi_core/cxx_src/cloudi_os_command && \
	 rm $(top_builddir)/lib/cloudi_core/cxx_src/cloudi_os_command || \
	 exit 0)

clean-configure: distclean

distclean-local: rebar-directories-distclean \
                 erlang-applications-scope-remove
	rm -f $(top_srcdir)/aclocal.m4 \
          $(top_srcdir)/config.h.in \
          $(top_srcdir)/config.h.in~ \
          $(top_srcdir)/config/compile \
          $(top_srcdir)/config/config.guess \
          $(top_srcdir)/config/config.sub \
          $(top_srcdir)/config/install-sh \
          $(top_srcdir)/config/ltmain.sh \
          $(top_srcdir)/config/missing \
          $(top_srcdir)/Makefile.in \
          $(top_srcdir)/configure \
          $(top_srcdir)/m4/libtool.m4 \
          $(top_srcdir)/m4/ltoptions.m4 \
          $(top_srcdir)/m4/ltsugar.m4 \
          $(top_srcdir)/m4/ltversion.m4 \
          $(top_srcdir)/m4/lt~obsolete.m4
	rm -rf $(top_srcdir)/autom4te.cache
	rm -rf $(top_srcdir)/tests/.eunit \
           $(top_srcdir)/tests/ct/logs \
           $(top_srcdir)/lib/cloudi_core/test_ct/logs \
           $(top_srcdir)/lib/cloudi_service_api_batch/test_ct/logs \
           $(top_srcdir)/lib/cloudi_service_db_mysql/test_ct/logs \
           $(top_srcdir)/lib/cloudi_service_db_pgsql/test_ct/logs \
           $(top_srcdir)/lib/cloudi_service_filesystem/test_ct/logs \
           $(top_srcdir)/lib/cloudi_service_http_client/test_ct/logs \
           $(top_srcdir)/lib/cloudi_service_queue/test_ct/logs \
           $(top_srcdir)/lib/cloudi_service_quorum/test_ct/logs \
           $(top_srcdir)/lib/cloudi_service_oauth1/test_ct/logs \
           $(top_srcdir)/lib/cloudi_service_validate/test_ct/logs
	find $(top_srcdir)/api -name "Makefile.in" | xargs rm -f
	find $(top_srcdir)/lib -name "Makefile.in" | xargs rm -f
	find $(top_srcdir)/tests -name "Makefile.in" | xargs rm -f
	find $(top_srcdir)/service_api -name "Makefile.in" | xargs rm -f

rebar-directories-distclean:
	rm -f $(top_srcdir)/external/rebar/ebin/*.beam
	test -e $(top_builddir)/rebar && rm -f $(top_builddir)/rebar || exit 0

erlang-applications-scope-remove:
	rm -f scoped
	$(ESCRIPT) $(top_srcdir)/lib/reltool_util/scope $(SCOPE_ARGS) -u

dialyze: all \
         $(top_srcdir)/dialyzer.plt
	$(DIALYZER) --verbose --plt $(top_srcdir)/dialyzer.plt \
              -Wno_improper_lists \
              -I lib/cloudi_core/include \
              lib/cloudi_core/ebin \
              lib/cloudi_service_api_batch/ebin \
              lib/cloudi_service_api_requests/ebin \
              lib/cloudi_service_cron/ebin \
              lib/cloudi_service_db_mysql/ebin \
              lib/cloudi_service_db_pgsql/ebin \
              lib/cloudi_service_filesystem/ebin \
              lib/cloudi_service_funnel/ebin \
              lib/cloudi_service_http_client/ebin \
              lib/cloudi_service_http_cowboy/ebin \
              lib/cloudi_service_http_elli/ebin \
              lib/cloudi_service_http_rest/ebin \
              lib/cloudi_service_map_reduce/ebin \
              lib/cloudi_service_monitoring/ebin \
              lib/cloudi_service_null/ebin \
              lib/cloudi_service_oauth1/ebin \
              lib/cloudi_service_queue/ebin \
              lib/cloudi_service_quorum/ebin \
              lib/cloudi_service_request_rate/ebin \
              lib/cloudi_service_router/ebin \
              lib/cloudi_service_send/ebin \
              lib/cloudi_service_shell/ebin \
              lib/cloudi_service_tcp/ebin \
              lib/cloudi_service_udp/ebin \
              lib/cloudi_service_validate/ebin \
              lib/cgroups/ebin \
              lib/cpg/ebin \
              lib/erlang_term/ebin \
              lib/key2value/ebin \
              lib/keys1value/ebin \
              lib/pqueue/ebin \
              lib/quickrand/ebin \
              lib/reltool_util/ebin \
              lib/supool/ebin \
              lib/syslog_socket/ebin \
              lib/trie/ebin \
              lib/uuid/ebin \
              lib/varpool/ebin \
              tests/count/erlang/src \
              tests/hexpi/erlang/src \
              tests/http_req/erlang/src \
              tests/messaging/erlang/src \
              tests/msg_size/erlang/src \
              tests/null/erlang/src \
              external/cloudi_x_bear/ebin \
              external/cloudi_x_cowboy/ebin \
              external/cloudi_x_cowlib/ebin \
              external/cloudi_x_emysql/ebin \
              external/cloudi_x_epgsql/ebin \
              external/cloudi_x_folsom/ebin \
              external/cloudi_x_jsx/ebin \
              external/cloudi_x_msgpack/ebin \
              external/cloudi_x_nodefinder/ebin \
              external/cloudi_x_pgsql/ebin \
              external/cloudi_x_ranch/ebin \
              external/cloudi_x_setup/ebin
	@echo "No Errors or Warnings Found!"

# -Wunknown isn't helpful due to the external dependencies not being present
dialyze-internal: all \
                  $(top_srcdir)/dialyzer.plt
	$(DIALYZER) --verbose --plt $(top_srcdir)/dialyzer.plt \
              -Wno_improper_lists \
              -Wunmatched_returns \
              -Wunderspecs \
              -Werror_handling \
              -I lib/cloudi_core/include \
              lib/cloudi_core/ebin \
              lib/cloudi_service_api_batch/ebin \
              lib/cloudi_service_api_requests/ebin \
              lib/cloudi_service_cron/ebin \
              lib/cloudi_service_db_mysql/ebin \
              lib/cloudi_service_db_pgsql/ebin \
              lib/cloudi_service_filesystem/ebin \
              lib/cloudi_service_funnel/ebin \
              lib/cloudi_service_http_client/ebin \
              lib/cloudi_service_http_cowboy/ebin \
              lib/cloudi_service_http_elli/ebin \
              lib/cloudi_service_http_rest/ebin \
              lib/cloudi_service_map_reduce/ebin \
              lib/cloudi_service_monitoring/ebin \
              lib/cloudi_service_null/ebin \
              lib/cloudi_service_oauth1/ebin \
              lib/cloudi_service_queue/ebin \
              lib/cloudi_service_quorum/ebin \
              lib/cloudi_service_request_rate/ebin \
              lib/cloudi_service_router/ebin \
              lib/cloudi_service_send/ebin \
              lib/cloudi_service_shell/ebin \
              lib/cloudi_service_tcp/ebin \
              lib/cloudi_service_udp/ebin \
              lib/cloudi_service_validate/ebin \
              lib/cgroups/ebin \
              lib/cpg/ebin \
              lib/erlang_term/ebin \
              lib/key2value/ebin \
              lib/keys1value/ebin \
              lib/pqueue/ebin \
              lib/quickrand/ebin \
              lib/reltool_util/ebin \
              lib/supool/ebin \
              lib/syslog_socket/ebin \
              lib/trie/ebin \
              lib/uuid/ebin \
              lib/varpool/ebin \
              tests/count/erlang/src \
              tests/hexpi/erlang/src \
              tests/http_req/erlang/src \
              tests/messaging/erlang/src \
              tests/msg_size/erlang/src \
              tests/null/erlang/src
	@echo "No Errors or Warnings Found!"

dialyzer: dialyze

$(top_srcdir)/dialyzer.plt:
	$(DIALYZER) --build_plt --output_plt $(top_srcdir)/dialyzer.plt \
                --apps erts kernel stdlib mnesia crypto inets xmerl sasl \
                       compiler debugger ssl tools syntax_tools \
                       public_key ssh

doc: all
	(cd $(top_srcdir) && \
     $(ESCRIPT) $(REBAR) $(REBAR_ARGS) \
                         -C $(abs_top_builddir)/rebar_src_test.config doc \
        || exit 0)

docs: doc

xref: all
	(cd $(top_srcdir) && \
     $(ESCRIPT) $(REBAR) $(REBAR_ARGS) \
                         -C $(abs_top_builddir)/rebar_src_test.config xref \
        || exit 0)

api-python-test:
	$(PYTHON) $(top_srcdir)/api/python/tests/erlang_tests.py

api-ruby-test:
	$(RUBY) $(top_srcdir)/api/ruby/tests/erlang_tests.rb

pylint:
	$(PYLINT) -rn --min-similarity-lines=40 \
              $(top_srcdir)/api/python/cloudi.py \
              $(top_srcdir)/api/python/cloudi_c.py \
              $(top_srcdir)/api/python/erlang.py \
              $(top_srcdir)/api/python/tests/erlang_tests.py \
              $(top_srcdir)/service_api/python/cloudi_service_api.py \
              $(top_srcdir)/tests/count/count.py \
              $(top_srcdir)/tests/count/count_c.py \
              $(top_srcdir)/tests/echo/echo.py \
              $(top_srcdir)/tests/environment/environment.py \
              $(top_srcdir)/tests/http/http.py \
              $(top_srcdir)/tests/http_req/http_req.py \
              $(top_srcdir)/tests/http_req/http_req_c.py \
              $(top_srcdir)/tests/messaging/messaging.py \
              $(top_srcdir)/tests/messaging/messaging_c.py \
              $(top_srcdir)/tests/msg_size/msg_size.py \
              $(top_srcdir)/tests/msg_size/msg_size_c.py \
              $(top_srcdir)/tests/null/null.py \
              $(top_srcdir)/tests/null/null_c.py \
              $(top_srcdir)/tests/service_api/logging_off.py \
              $(top_srcdir)/tests/service_api/logging_on.py \
              $(top_srcdir)/tests/service_api/path.py \
              $(top_srcdir)/tests/service_api/run.py \
              $(top_srcdir)/tests/websockets/websockets.py

linter-ruby:
	$(RUBY) -wc \
            $(top_srcdir)/api/ruby/erlang.rb \
            $(top_srcdir)/api/ruby/cloudi.rb \
            $(top_srcdir)/api/ruby/tests/erlang_tests.rb \
            $(top_srcdir)/tests/count/count.rb \
            $(top_srcdir)/tests/http/http.rb \
            $(top_srcdir)/tests/http_req/http_req.rb \
            $(top_srcdir)/tests/msg_size/msg_size.rb \
            $(top_srcdir)/tests/messaging/messaging.rb \
            $(top_srcdir)/tests/null/null.rb

ct: all
	(cd $(top_srcdir) && \
     $(ESCRIPT) $(REBAR) $(REBAR_ARGS) \
                         -C $(abs_top_builddir)/rebar_src_test.config ct)

eunit: all
	(cd $(top_srcdir) && \
     $(ESCRIPT) $(REBAR) $(REBAR_ARGS) \
                         -C $(abs_top_builddir)/rebar_src_test.config eunit)

test: all $(PYTHON_TEST_HOOK) $(RUBY_TEST_HOOK)
	(cd $(top_srcdir) && \
     $(ESCRIPT) $(REBAR) $(REBAR_ARGS) \
                         -C $(abs_top_builddir)/rebar_src_test.config ct eunit)

tests: test

manual-update:
	(cd $(top_srcdir) && \
     $(ESCRIPT) $(top_srcdir)/lib/reltool_util/ex2erl \
         $(top_srcdir)/lib/cloudi_core/priv/CloudILogger.ex && \
     mv -f $(top_srcdir)/lib/cloudi_core/priv/Elixir.CloudILogger.erl \
           $(top_srcdir)/lib/cloudi_core/src/ )
	(cd $(top_srcdir)/lib/cloudi_core/scripts/ && \
     $(ESCRIPT) ./mimetypes_update )

uninstall:
	rm -rf "$(DESTDIR)$(cloudi_prefix)"

install-exec-hook:
	$(MKDIR_P) "$(DESTDIR)$(bindir)"
	$(MKDIR_P) "$(DESTDIR)$(cloudi_logdir)"
	$(MKDIR_P) "$(DESTDIR)$(cloudi_confdir)"
	$(MKDIR_P) "$(DESTDIR)$(cloudi_bindir)"
	$(MKDIR_P) "$(DESTDIR)$(cloudi_prefix)"
	$(INSTALL_DATA) "$(top_srcdir)/LICENSE" "$(DESTDIR)$(cloudi_prefix)"
	$(MKDIR_P) "$(DESTDIR)$(cloudi_prefix)/lib"
	$(MKDIR_P) "$(DESTDIR)$(cloudi_prefix)/releases"
	(cd "$(DESTDIR)$(cloudi_prefix)" && \
     test ! -e etc && $(LN_S) "$(cloudi_confdir)" etc || exit 0 && \
     test ! -e logs && $(LN_S) "$(cloudi_logdir)" logs || exit 0)
	$(ESCRIPT) $(top_srcdir)/lib/reltool_util/release
	test ! -d "$(DESTDIR)$(cloudi_prefix)/erts-$(ERLANG_ERTS_VER)" && \
       mv -f "$(top_builddir)/rel/cloudi/erts-$(ERLANG_ERTS_VER)" \
             "$(DESTDIR)$(cloudi_prefix)" || exit 0
	$(INSTALL) -m 700 "$(top_builddir)/rel/cloudi/bin/nodetool" \
                      "$(DESTDIR)$(cloudi_bindir)/"
	$(INSTALL) -m 700 "$(top_builddir)/rel/cloudi/bin/cloudi" \
                      "$(DESTDIR)$(cloudi_bindir)/"
	$(INSTALL) -m 700 "$(top_builddir)/rel/files/bin_script" \
                      "$(DESTDIR)$(bindir)/cloudi"
	test -e "$(DESTDIR)$(cloudi_confdir)/vm.args" && \
       mv -f "$(DESTDIR)$(cloudi_confdir)/vm.args" \
             "$(DESTDIR)$(cloudi_confdir)/vm.args.old" || exit 0
	$(INSTALL) -m 600 "$(top_builddir)/rel/cloudi/etc/vm.args" \
                      "$(DESTDIR)$(cloudi_confdir)/"
	test -e "$(DESTDIR)$(cloudi_confdir)/$(CLOUDI_NODE_NAME).args" && \
       mv -f "$(DESTDIR)$(cloudi_confdir)/$(CLOUDI_NODE_NAME).args" \
             "$(DESTDIR)$(cloudi_confdir)/$(CLOUDI_NODE_NAME).args.old" || exit 0
	$(INSTALL) -m 600 "$(top_builddir)/rel/cloudi/etc/$(CLOUDI_NODE_NAME).args" \
                      "$(DESTDIR)$(cloudi_confdir)/"
	test -e "$(DESTDIR)$(cloudi_confdir)/app.config" && \
       mv -f "$(DESTDIR)$(cloudi_confdir)/app.config" \
             "$(DESTDIR)$(cloudi_confdir)/app.config.old" || exit 0
	test -e "$(DESTDIR)$(cloudi_confdir)/vm.config" && \
       mv -f "$(DESTDIR)$(cloudi_confdir)/vm.config" \
             "$(DESTDIR)$(cloudi_confdir)/vm.config.old" || exit 0
	$(INSTALL) -m 600 "$(top_builddir)/rel/cloudi/etc/vm.config" \
                      "$(DESTDIR)$(cloudi_confdir)/"
	test -e "$(DESTDIR)$(cloudi_confdir)/cloudi.conf" && \
       mv -f "$(DESTDIR)$(cloudi_confdir)/cloudi.conf" \
             "$(DESTDIR)$(cloudi_confdir)/cloudi.conf.old" || exit 0
	$(INSTALL) -m 600 "$(top_builddir)/rel/cloudi/etc/cloudi.conf" \
                      "$(DESTDIR)$(cloudi_confdir)/"
	test ! -d "$(DESTDIR)$(cloudi_prefix)/releases/$(CLOUDI_CORE_RELEASE_VERSION)" && \
       mv -f "$(top_builddir)/rel/cloudi/releases/$(CLOUDI_CORE_RELEASE_VERSION)" \
             "$(DESTDIR)$(cloudi_prefix)/releases/" || exit 0
	$(INSTALL_DATA) "$(top_builddir)/rel/cloudi/releases/start_erl.data" \
                    "$(DESTDIR)$(cloudi_prefix)/releases/"
	list0=`ls "$(top_builddir)/rel/cloudi/lib/"`; \
    for subdir0 in $$list0; do \
	  list1=`ls "$(top_builddir)/rel/cloudi/lib/$$subdir0"`; \
    for subdir1 in $$list1; do \
        test ! -e "$(DESTDIR)$(cloudi_prefix)/lib/$$subdir0/$$subdir1" && \
        $(MKDIR_P) "$(DESTDIR)$(cloudi_prefix)/lib/$$subdir0/" && \
        mv -f "$(top_builddir)/rel/cloudi/lib/$$subdir0/$$subdir1" \
              "$(DESTDIR)$(cloudi_prefix)/lib/$$subdir0/" || \
        echo "$(DESTDIR)$(cloudi_prefix)/lib/$$subdir0/$$subdir1 exists!"; \
    done; done
	rm -rf $(top_builddir)/rel/cloudi/

run:
	@echo
	@echo "********************"
	@echo "* USE make install *"
	@echo "********************"
	@echo
	@exit 1

distdir:
	@echo
	@echo "*************************************"
	@echo "* AUTOMAKE DISTRIBUTION IS NOT USED *"
	@echo "*************************************"
	@echo
	@exit 1

dist: distdir

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
